Create a Data Product
Create a new data product within a domain
POST
POST /v1/dataProducts
Create a Data Product
Create a new data product within a domain.Body Parameters
POST /v1/dataProducts
Returns
Returns the created data product object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/dataProducts instead of POST to perform an upsert. If a data product with the same fullyQualifiedName already exists, it will be updated; otherwise, a new data product is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.